CentOS 8:nodejs: 14 (CESA-2022: 7830)

critical Nessus Plugin ID 167121

Synopsis

遠端 CentOS 主機缺少一個或多個安全性更新。

描述

遠端 CentOS Linux 8 主機上安裝的一個套件受到 CESA-2022: 7830 公告中提及的多個弱點影響。

- nodejs:不當處理 URI 主體別名 (CVE-2021-44531)

- nodejs:透過字串插入繞過憑證驗證 (CVE-2021-44532)

- nodejs:未正確處理憑證主體和簽發者欄位 (CVE-2021-44533)

- nodejs:透過 console.table 屬性造成原型污染 (CVE-2022-21824)

- nodejs:因標頭欄位不當剖析而導致的 HTTP 要求走私弱點 (CVE-2022-35256)

請注意,Nessus 並未測試這些問題,而是僅依據應用程式自我報告的版本號碼作出判斷。

解決方案

更新受影響的 nodejs-packaging 套件。

另請參閱

https://access.redhat.com/errata/RHSA-2022:7830

Plugin 詳細資訊

嚴重性: Critical

ID: 167121

檔案名稱: centos8_RHSA-2022-7830.nasl

版本: 1.3

類型: local

代理程式: unix

已發布: 2022/11/8

已更新: 2022/12/9

支持的傳感器: Agentless Assessment, Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure

風險資訊

VPR

風險因素: Medium

分數: 6

CVSS v2

風險因素: Medium

基本分數: 6.4

時間分數: 4.7

媒介: AV:N/AC:L/Au:N/C:N/I:P/A:P

時間媒介: E:U/RL:OF/RC:C

CVSS 評分資料來源: CVE-2022-21824

CVSS v3

風險因素: Critical

基本分數: 9.8

時間分數: 8.5

媒介: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

時間媒介: E:U/RL:O/RC:C

CVSS 評分資料來源: CVE-2022-35256

弱點資訊

CPE: cpe:/o:centos:centos:8, p-cpe:/a:centos:centos:nodejs-packaging

必要的 KB 項目: Host/local_checks_enabled, Host/CentOS/release, Host/CentOS/rpm-list, Host/cpu

可輕鬆利用: No known exploits are available

修補程式發佈日期: 2022/11/8

弱點發布日期: 2022/1/11

參考資訊

CVE: CVE-2021-44531, CVE-2021-44532, CVE-2021-44533, CVE-2022-21824, CVE-2022-35256

RHSA: 2022:7830